import { Cell, CodeCell } from '@jupyterlab/cells';
import { Notebook, NotebookPanel } from '@jupyterlab/notebook';
export declare const PYTHON_CELL_MIMETYPE = "text/x-ipython";
export declare const SQL_CELL_MIMETYPE = "application/sql";
export declare const isSQLCell: (cell: Cell) => boolean;
/**
 * Extend the default implementation NotebookPanel.ContentFactory of `IContentFactory`.
 */
export declare class JupyterReactContentFactory extends NotebookPanel.ContentFactory {
    private _updateSQLEditor;
    private _updateEditor;
    /** @override */
    createNotebook(options: Notebook.IOptions): Notebook;
    /** @override */
    createCodeCell(options: CodeCell.IOptions): CodeCell;
}
export default JupyterReactContentFactory;
