import { jsx as _jsx } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { useMemo } from 'react';
import { createRoot } from 'react-dom/client';
import { CellSidebarExtension } from '../components';
import { Notebook } from '../components/notebook/Notebook';
import { Jupyter } from '../jupyter/Jupyter';
import { NotebookToolbar } from './../components/notebook/toolbar/NotebookToolbar';
const Deno = () => {
    const extensions = useMemo(() => [new CellSidebarExtension()], []);
    return (_jsx(Jupyter, { defaultKernelName: "deno", children: _jsx(Notebook, { url: "https://raw.githubusercontent.com/rgbkrk/denotebooks/f173b472ad5b0169d77818027bf662682c5024ec/10.2_Polar%20DataFrames.ipynb", height: "calc(100vh - 2.6rem)" // (Height - Toolbar Height).
            , extensions: extensions, Toolbar: NotebookToolbar }) }));
};
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(Deno, {}));
//# sourceMappingURL=Deno.js.map