/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { CellToolbarWidget } from './CellToolbarWidget';
import './CellToolbarExtension.css';
export class CellToolbarExtension {
    _props;
    /* @override */
    init(props) {
        this._props = props;
    }
    /* @override */
    createNew(notebookPanel, context) {
        new CellToolbarWidget(notebookPanel, this._props);
    }
    /* @override */
    get component() {
        return null;
    }
}
export default CellToolbarExtension;
//# sourceMappingURL=CellToolbarExtension.js.map