import { Widget } from '@lumino/widgets';
import { NotebookPanel } from '@jupyterlab/notebook';
import { IDatalayerNotebookExtensionProps } from '../../../components';
export interface ICellToolbarSettings {
    highlight: boolean;
    positioning: string;
}
export declare class CellToolbarWidget extends Widget {
    private _panel;
    private _props;
    constructor(panel: NotebookPanel, props: IDatalayerNotebookExtensionProps);
    private updateConnectedCell;
    private _deregisterCellChanges;
    private _registerCellChanges;
    private _getCodeCell;
    private _updateCodeCell;
}
