import { Colormode } from './JupyterLabColormode';
import "@primer/primitives/dist/css/base/typography/typography.css";
import "@primer/primitives/dist/css/functional/themes/light.css";
import "@primer/primitives/dist/css/functional/size/border.css";
import "@primer/primitives/dist/css/functional/size/breakpoints.css";
import "@primer/primitives/dist/css/functional/size/size-coarse.css";
import "@primer/primitives/dist/css/functional/size/size-fine.css";
import "@primer/primitives/dist/css/functional/size/size.css";
import "@primer/primitives/dist/css/functional/size/viewport.css";
import "@primer/primitives/dist/css/functional/typography/typography.css";
type JupyterLabCssProps = {
    colormode?: Colormode;
};
/**
 * Components loading the JupyterLab CSS stylesheets.
 */
export declare function JupyterLabCss(props: JupyterLabCssProps): JSX.Element;
export default JupyterLabCss;
