import { ICell, IOutput } from '@jupyterlab/nbformat';
export declare const newUlid: () => string;
export declare const newUuid: () => string;
export declare const cellSourceAsString: (cell: ICell) => string;
export declare const outputsAsString: (outputs: IOutput[]) => string;
export declare const getCookie: (name: string) => string | null;
/**
 * Promise resolving after a delay.
 *
 * @param ms Delay in milliseconds
 */
export declare function sleep(ms: number): Promise<void>;
