import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
/*
 * Copyright (c) 2021-2024 Datalayer, Inc.
 *
 * MIT License
 */
import { Box, Heading, Spinner } from '@primer/react';
export function Loader(props) {
    const { message } = props;
    return (_jsx(Box, { sx: {
            display: 'flex',
            alignItems: 'center',
            justifyContent: 'center',
            minHeight: '40px',
            zIndex: 10999,
        }, children: message ? (_jsxs(_Fragment, { children: [_jsx(Box, { mr: 3, children: _jsx(Spinner, { size: "large" }) }), _jsx(Box, { children: _jsx(Heading, { sx: { fontSize: 5, color: 'white' }, children: message }) })] })) : (_jsx(Spinner, { size: "large" })) }));
}
//# sourceMappingURL=Loader.js.map