import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { createRoot } from 'react-dom/client';
import { Box } from '@primer/react';
import { Jupyter } from '../jupyter/Jupyter';
import Cell from '../components/cell/Cell';
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsxs(Jupyter, { startDefaultKernel: true, lite: true, children: [_jsx(Box, { as: "h1", children: "A Jupyter Cell with a Lite Kernel" }), _jsx(Cell, { source: `import sys
print(f"👋 Hello Jupyter UI Lite - Platform: {sys.platform} - IPython: {get_ipython()}")` })] }));
//# sourceMappingURL=CellLite.js.map