import { jsx as _jsx } from "react/jsx-runtime";
import { createRoot } from 'react-dom/client';
import { CellSidebarExtension } from '../components';
import { Notebook } from '../components/notebook/Notebook';
import { JupyterReactTheme } from '../theme/JupyterReactTheme';
import { NotebookToolbar } from './../components/notebook/toolbar/NotebookToolbar';
import nbformat from './notebooks/NotebookExample1.ipynb.json';
import CellSidebarSource from './extensions/cellsidebars/CellSidebarSource';
const NotebookCellSidebar = () => (_jsx(JupyterReactTheme, { children: _jsx(Notebook, { startDefaultKernel: true, nbformat: nbformat, id: "notebook-cell-sidebar-id", height: "calc(100vh - 2.6rem)" // (Height - Toolbar Height).
        , cellSidebarMargin: 160, extensions: [new CellSidebarExtension({ factory: CellSidebarSource })], Toolbar: NotebookToolbar }) }));
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(NotebookCellSidebar, {}));
//# sourceMappingURL=NotebookCellSidebar.js.map